Name:		aeolus
Summary:	Synthesized pipe organ emulator
Version:	0.9.9
Release:	%mkrel 1
License:	GPLv2+ and CC-BY-SA
Group:		Sound/Midi
Source0:	http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Source1:	http://kokkinizita.linuxaudio.org/linuxaudio/downloads/stops-0.3.0.tar.bz2
# http://commons.wikimedia.org/wiki/File:Logo_aeolus.png / resized to 48x48
# CC-BY-SA License
Source2:	%{name}48x48.png
URL:		http://kokkinizita.linuxaudio.org/linuxaudio/aeolus/index.html
BuildRequires:	clthreads-devel >= 2.4.0
BuildRequires:	zita-alsa-pcmi-devel >= 0.2.0
BuildRequires:	clxclient-devel >= 3.9.0
BuildRequires:	pkgconfig(jack)
BuildRequires:	readline-devel

%description
Aeolus is a synthesized (i.e. not sampled) pipe organ emulator that 
should be good enough to make an organist enjoy playing it. It is a 
software synthesizer optimized for this job, with possibly hundreds 
of controls for each stop, that enable the user to "voice" 
his instrument.

Main features of the default instrument: three manuals and one pedal, 
five different temperaments, variable tuning, MIDI control of course, 
stereo, surround or Ambisonics output, flexible audio controls 
including a large church reverb.

Aeolus is not very CPU-hungry, and should run without problems on a 
e.g. a 1GHz, 256MB machine. 


%prep
%setup -q -n %{name}-%{version} -a1

# fix wrong perms
chmod +r stops-0.3.0/*
cd source
sed -i -e 's/PREFIX =/#PREFIX =/g' Makefile
sed -i -e 's/-lXft//g' Makefile
sed -i -e 's/-lrt//g' Makefile
sed -i -e '/ldconfig/d' Makefile
sed -i -e 's#-O2#%{optflags}#' Makefile

%build
cd source
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
cd source
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
cd ..

mkdir -p %{buildroot}%{_datadir}/%{name}/stops
cp -fr stops-0.3.0/* %{buildroot}%{_datadir}/%{name}/stops/

mkdir -p %{buildroot}%{_sysconfdir}/
cat > %{buildroot}%{_sysconfdir}/%{name}.conf <<EOF
-u -J -S %{_datadir}/%{name}/stops
EOF

# desktop file and icon
install -d -m755 %{buildroot}%{_datadir}/pixmaps
install -m644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOL
[Desktop Entry]
Type=Application
Exec=aeolus
GenericName=Aeolus
GenericName[en_GB]=Aeolus
Icon=aeolus
Name=Aeolus
Comment=Virtual pipe organ based on additive synthesis
Name[en_GB]=Aeolus
Comment[en_GB]=Virtual pipe organ based on additive synthesis
Name[cs]=Aeolus
Comment[cs]=VirtuÃ¡lnÃ­ varhany zaloÅ¾enÃ© na aditivnÃ­ syntÃ©ze
Name[de]=Aeolus
Comment[de]=Virtuelle Pfeifenorgel, auf additiver Synthese beasierend
Name[es]=Aeolus
Comment[es]=Ã“rgano virtual basado en la sÃ­ntesis aditiva
Name[fr]=Aeolus
Comment[fr]=Orgue virtuel basÃ© sur la synthÃ¨se additive
Name[it]= Aeolus
Comment[it]= Virtual pipe organ basato sulla sintesi additiva
Name[ja]=Aeolus
Comment[ja]=ãƒãƒ¼ãƒãƒ£ãƒ«ãƒ‘ã‚¤ãƒ—ã‚ªãƒ«ã‚¬ãƒ³
Name[nb]=Aeolus
Comment[nb]=Virtuelt orgel basert pÃ¥ additivsyntese
Name[nl]=Aeolus
Comment[nl]=Virtueel pijporgel gebaseerd op toegevoegde syntheses
Name[pl]=Aeolus
Comment[pl]=Wirtualne organy piszczaÅ‚kowe
Name[pt_BR]=Aeolus
Comment[pt_BR]=Virtual pipe organ based on additive synthesis
Name[sk]=Aeolus
Comment[sk]=VirtuÃ¡lny pÃ­Å¡talovÃ½ organ zaloÅ¾enÃ½ na aditÃ­vnej syntÃ©ze
Name[zh_CN]=Aeolus
Comment[zh_CN]=åŸºäºŽåŠ æ³•åˆæˆçš„è™šæ‹Ÿç®¡é“å…ƒä»¶
Name[zh_TW]=Aeolus
Comment[zh_TW]=ä»¥ç–Šåˆå¤šç¨®åˆæˆå™¨ç‚ºåŸºç¤Žçš„è™›æ“¬ç®¡é¢¨ç´
StartupNotify=true
Terminal=false
Categories=Audio;AudioVideo;Midi;X-Mageia-CrossDesktop;
X-KDE-SubstituteUID=false
EOL

%files
%config %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/aeolus*.so


%changelog
* Sun Jun 28 2020 barjac <barjac> 0.9.9-1.mga8
+ Revision: 1600225
- new version 0.9.9

* Mon Apr 06 2020 barjac <barjac> 0.9.8-1.mga8
+ Revision: 1565039
- new version 0.9.8

* Tue Feb 18 2020 umeabot <umeabot> 0.9.7-4.mga8
+ Revision: 1542015
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.9.7-3.mga8
+ Revision: 1475920
- rebuild for readline

* Wed Jan 23 2019 barjac <barjac> 0.9.7-2.mga7
+ Revision: 1360115
- fix libdir for aarch build
- new version 0.9.7
- move files list to bottom of spec
- fix sed to add opt_flags correctly
- minor path fix

* Sun Sep 23 2018 umeabot <umeabot> 0.9.5-2.mga7
+ Revision: 1297291
- Mageia 7 Mass Rebuild

* Mon Nov 06 2017 barjac <barjac> 0.9.5-1.mga7
+ Revision: 1176304
- Correct release 1

* Mon Nov 06 2017 barjac <barjac> 0.9.5-0.2.mga7
+ Revision: 1176303
- new version 0.9.5

* Thu Jan 07 2016 neoclust <neoclust> 0.9.0-6.mga6
+ Revision: 920293
- Fix build on arm ( fix LIBDIR)

* Wed Oct 28 2015 ycantin <ycantin> 0.9.0-5.mga6
+ Revision: 895932
- fix build by using %%make_install

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 743470
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-3.mga5
+ Revision: 677707
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-2.mga4
+ Revision: 531707
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 barjac <barjac> 0.9.0-1.mga4
+ Revision: 464621
- new version 0.9.0
- changed build requires
- changes to makefile to fix build
- minor spec clean

* Fri Jan 11 2013 umeabot <umeabot> 0.8.4-2.mga3
+ Revision: 345299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 barjac <barjac> 0.8.4-1.mga3
+ Revision: 321953
- spec cleaned
- dektop file updated and now in spec
- thanks to Philippe Didier
- Import from Mandriva

